> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agentpowers.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Skill

> Get skill details by slug.

Test-user authored skills are hidden from public callers but visible
to their own author when authenticated.



## OpenAPI

````yaml /openapi.json get /v1/skills/{slug}
openapi: 3.1.0
info:
  title: AgentPowers API
  description: Paid marketplace for Claude Code skills and agents
  version: 0.1.0
servers:
  - url: https://api.agentpowers.ai
    description: Production
security: []
paths:
  /v1/skills/{slug}:
    get:
      tags:
        - skills
      summary: Get Skill
      description: |-
        Get skill details by slug.

        Test-user authored skills are hidden from public callers but visible
        to their own author when authenticated.
      operationId: get_skill_v1_skills__slug__get
      parameters:
        - name: slug
          in: path
          required: true
          schema:
            type: string
            title: Slug
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SkillDetail'
        '404':
          description: Skill not found, or hidden from this caller
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SkillDetail:
      properties:
        slug:
          type: string
          title: Slug
        title:
          type: string
          title: Title
        description:
          type: string
          title: Description
        long_description:
          anyOf:
            - type: string
            - type: 'null'
          title: Long Description
        category:
          type: string
          title: Category
        type:
          type: string
          title: Type
        price_cents:
          type: integer
          title: Price Cents
        currency:
          type: string
          title: Currency
        version:
          type: string
          title: Version
        security_status:
          type: string
          title: Security Status
        security_score:
          type: integer
          title: Security Score
        trust_level:
          anyOf:
            - type: string
            - type: 'null'
          title: Trust Level
        download_count:
          type: integer
          title: Download Count
        view_count:
          type: integer
          title: View Count
          default: 0
        install_count:
          type: integer
          title: Install Count
          default: 0
        rating_average:
          anyOf:
            - type: number
            - type: 'null'
          title: Rating Average
        rating_count:
          type: integer
          title: Rating Count
          default: 0
        published_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Published At
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        archived_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Archived At
        author:
          anyOf:
            - $ref: '#/components/schemas/AuthorSummary'
            - type: 'null'
      type: object
      required:
        - slug
        - title
        - description
        - category
        - type
        - price_cents
        - currency
        - version
        - security_status
        - security_score
        - download_count
      title: SkillDetail
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AuthorSummary:
      properties:
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
        github_username:
          anyOf:
            - type: string
            - type: 'null'
          title: Github Username
        display_name_slug:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name Slug
        avatar_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Avatar Url
        verified:
          type: boolean
          title: Verified
          default: false
      type: object
      title: AuthorSummary
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````